Package Details: libthinkpad-git 2.3.r11.g0a7a74d-1

Git Clone URL: https://aur.archlinux.org/libthinkpad-git.git (read-only, click to copy)
Package Base: libthinkpad-git
Description: A general purpose userspace ThinkPad library
Upstream URL: https://github.com/libthinkpad/libthinkpad
Licenses: BSD
Conflicts: libthinkpad
Provides: libthinkpad
Submitter: smlb
Maintainer: MartinX3 (nurfz)
Last Packager: MartinX3
Votes: 0
Popularity: 0.000000
First Submitted: 2017-11-23 12:06
Last Updated: 2020-09-13 19:57

Latest Comments

MartinX3 commented on 2020-09-13 20:00

Done, thank you! :)

thasti commented on 2020-06-30 21:36

This patch fixes the problem encountered by PMunch, by installing to /usr/lib instead of /usr/lib64.

diff --git a/PKGBUILD b/PKGBUILD
index edeeec6..b708d6e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
 # Maintainer: smlb <smlb at riseup dot net>

 pkgname=libthinkpad-git
-pkgver=2.3.r11.g0a7a74d
+pkgver=2.6.r4.gd8a8681
 pkgrel=1
 pkgdesc="A general purpose userspace ThinkPad library"
 arch=('i686' 'x86_64')
@@ -26,7 +26,7 @@ pkgver() {

 build () {
     cd "$srcdir/$_gitname"
-    cmake . -DCMAKE_INSTALL_PREFIX=/usr
+    cmake . -DCMAKE_INSTALL_PREFIX=/usr -DLIB=lib
     make 
 }

PMunch commented on 2018-12-03 12:16

I'm unable to install this at the moment, it complains that "error: failed to commit transaction (conflicting files) libthinkpad-git: /usr/lib64 exists in filesystem (owned by filesystem)". The folder is a symlink to "/usr/lib".